/**





 * Render Membership Site To Go Ready Sites Grid.





 *





 * @package easy_sales_letter ADDONS





 */











(function($){











	easySalesSitesRender = {











		_ref			: null,











		/**





		 * _api_params = {





		 * 		'search'                  : '',





		 * 		'per_page'                : '',





		 * 		'page'                    : '',





		 *   };





		 */





		_api_params		: {},











		active_site 	: '',











		active_site_data: {},











		init: function()





		{





			this._bind();





			this._setActiveSite();





		},











		/**





		 * Binds events for the Membership Site To Go Sites.





		 *





		 * @since 1.0.0





		 * @access private





		 * @method _bind





		 */





		_bind: function()





		{





			$( document ).on( 'easy-laters-sites-api-request-error'   , easySalesSitesRender._addReadySiteSuggestionBlock );





			$( document ).on( 'instant-setup-wizard-api-post-loaded'           , easySalesSitesRender._reinitGrid );





			$( document ).on( 'instant-setup-wizard-api-post-loaded-on-scroll' , easySalesSitesRender._reinitGridScrolled );





			$( document ).on( 'instant-setup-wizard-get-active-demo-site-done' , easySalesSitesRender._loadFirstGrid );





			$( document ).on( 'scroll'                          , easySalesSitesRender._scroll );





		},











		_apiAddParam_site_url: function() {





			if ( easySalesSitesRender.sites && easySalesSitesRender.sites.site_url ) {





				easySalesSitesRender._api_params['site_url'] = easySalesSitesRender.sites.site_url;





			}





		},











		/**





		 * Show Sites





		 *





		 * @param  {Boolean} resetPagedCount Reset Paged Count.





		 * @param  {String}  trigger         Filtered Trigger.





		 */





		_showSites: function( resetPagedCount, trigger ) {











			if ( undefined === resetPagedCount ) {





				resetPagedCount = true





			}











			if ( undefined === trigger ) {





				trigger = 'instant-setup-wizard-api-post-loaded';





			}











			if ( resetPagedCount ) {





				easySalesSitesRender._resetPagedCount();





			}











			easySalesSitesRender._apiAddParam_per_page();





			easySalesSitesRender._apiAddParam_page();





			easySalesSitesRender._apiAddParam_site_url();











			// API Request.





			var api_post = {





				id: 'easy-laters-sites',





				slug: 'easy-laters-sites?' + decodeURIComponent( $.param( easySalesSitesRender._api_params ) ),





				trigger: trigger,





			};











			EasySalesSitesAPI._api_request( api_post );





		},











		/**





		 * Load First Grid.





		 *





		 * This is triggered after all category loaded.





		 *





		 * @param  {object} event Event Object.





		 */





		_loadFirstGrid: function() {











			easySalesSitesRender._showSites();











		},











		/**





		 * Update Membership Site To Go sites list.





		 *





		 * @param  {object} event Object.





		 * @param  {object} data  API response data.





		 */





		_reinitGrid: function( event, data ) {











			var template = wp.template( 'instant-setup-wizard-sites-list' );











			$( 'body' ).removeClass( 'loading-content' );











			if ( easySalesSitesRender.active_site_data !== "" ) {





				jQuery( 'body' ).attr( 'data-instant-setup-wizard-active-site-data', JSON.stringify( easySalesSitesRender.active_site_data ) );





				data.active_site_data = JSON.parse( jQuery( 'body' ).attr( 'data-instant-setup-wizard-active-site-data' ) );





				jQuery( 'body' ).attr( 'data-instant-setup-wizard-active-site', easySalesSitesRender.active_site );





			} else {





				data.active_site_data = "";





				jQuery( 'body' ).attr( 'data-instant-setup-wizard-active-site',"" );





			}











			data.active_site = jQuery( 'body' ).attr( 'data-instant-setup-wizard-active-site' );











			// Reset active site data during grid initialization.





			jQuery( 'body' ).attr( 'data-instant-setup-wizard-active-site-data','' );











			jQuery( '#instant-setup-wizard-admin-page' ).show();





			jQuery( '#instant-setup-wizard-sites' ).show().html( template( data ) );











			var items_count = data.items.length;





			if ( items_count <= 0 ) {





				$( '#instant-setup-wizard-admin-page' ).find( '.spinner' ).removeClass( 'is-active' );





				$( '.instant-setup-wizard-sites-suggestions' ).remove();











			} else {





				$( 'body' ).removeClass( 'listed-all-sites' );





			}





		},











		// Returns if a value is an array.





		_isArray: function(value) {





			return value && typeof value === 'object' && value.constructor === Array;





		},











		// Set active site.





		_setActiveSite: function() {





			var active                        = easySalesSitesRender.active_site_data;





			easySalesSitesRender.active_site = easySalesSitesRender.active_site_data.slug;





		},











		/**





		 * On Scroll





		 */





		_scroll: function(event) {











			if ( ! $( 'body' ).hasClass( 'listed-all-sites' ) ) {











				var scrollDistance = jQuery( window ).scrollTop();











				var easySalesSitesBottom = Math.abs( jQuery( window ).height() - jQuery( '#instant-setup-wizard-admin-page' ).offset().top - jQuery( '#instant-setup-wizard-admin-page' ).height() );





				easySalesSitesBottom     = easySalesSitesBottom - 100;





				ajaxLoading               = jQuery( 'body' ).data( 'scrolling' );











				if (scrollDistance > easySalesSitesBottom && ajaxLoading == false) {





					easySalesSitesRender._updatedPagedCount();











					if ( ! $( '#instant-setup-wizard-sites .no-themes' ).length ) {





						$( '#instant-setup-wizard-admin-page' ).find( '.spinner' ).addClass( 'is-active' );





					}











					jQuery( 'body' ).data( 'scrolling', true );











					easySalesSitesRender._showSites( false, 'instant-setup-wizard-api-post-loaded-on-scroll' );





				}





			}





		},











		/**





		 * Append sites on scroll.





		 *





		 * @param  {object} event Object.





		 * @param  {object} data  API response data.





		 */





		_reinitGridScrolled: function( event, data ) {











			var template          = wp.template( 'instant-setup-wizard-sites-list' );





			data.active_site      = jQuery( 'body' ).attr( 'data-instant-setup-wizard-active-site' );





			data.active_site_data = jQuery( 'body' ).attr( 'data-instant-setup-wizard-active-site-data' );











			if ( 'undefined' !== typeof data.items && data.items.length > 0 ) {











				$( 'body' ).removeClass( 'loading-content' );











				setTimeout(





					function() {





						jQuery( '#instant-setup-wizard-sites' ).append( template( data ) );











					},





					800





				);





			} else {





				$( 'body' ).addClass( 'listed-all-sites' );





			}











		},











		/**





		 * Reset Page Count.





		 */





		_resetPagedCount: function() {











			jQuery( 'body' ).attr( 'data-instant-setup-wizard-demo-last-request', '1' );





			jQuery( 'body' ).attr( 'data-instant-setup-wizard-demo-paged', '1' );





			jQuery( 'body' ).attr( 'data-scrolling', false );





			jQuery( 'body' ).attr( 'data-instant-setup-wizard-active-site-data', '' );





			jQuery( 'body' ).attr( 'data-instant-setup-wizard-active-site', '' );











		},











		/**





		 * Add 'page' to api request.





		 *





		 * @private





		 */





		_apiAddParam_page: function() {





			var page_val                              = parseInt( jQuery( 'body' ).attr( 'data-instant-setup-wizard-demo-paged' ) ) || 1;





			easySalesSitesRender._api_params['page'] = page_val;





		},











		/**





		 * Update Page Count.





		 */





		_updatedPagedCount: function() {





			paged = parseInt( jQuery( 'body' ).attr( 'data-instant-setup-wizard-demo-paged' ) );





			jQuery( 'body' ).attr( 'data-instant-setup-wizard-demo-paged', paged + 1 );





			window.setTimeout(





				function () {





					jQuery( 'body' ).data( 'scrolling', false );





				},





				800





			);





		},





		/**





		 * Add per page Parameter.





		 */





		_apiAddParam_per_page: function() {





			var per_page_val = 15;





			if ( easySalesSitesRender.sites && easySalesSitesRender.sites["per_page"] ) {





				per_page_val = parseInt( easySalesSitesRender.sites["per_page"] );





			}





			easySalesSitesRender._api_params['per_page'] = per_page_val;





		},











		/**





		 * Add ready site suggestion Block





		 */





		_addReadySiteSuggestionBlock: function() {





			$( '#instant-setup-wizard-admin-page' ).find( '.spinner' ).removeClass( 'is-active' ).addClass( 'hide-me' );











			$( 'body' ).addClass( 'listed-all-sites' );





			var template = wp.template( 'instant-setup-wizard-sites-suggestions' );





			if ( ! $( '.instant-setup-wizard-sites-suggestions' ).length ) {





				$( '#instant-setup-wizard-sites' ).append( template );





			}





		},





	};











	/**





	 * Initialize easySalesSitesRender





	 */





	$(





		function(){





			easySalesSitesRender.init();





		}





	);











})( jQuery );





