<?php


/**


 * Membership Site To Go Options


 *


 * @package Instant_Setup_Wizard_Addons


 */





?>


<div class="instant-setup-wizard-options-tabs">


	<div id="instant-setup-wizard-go-pro" class="tab-content active">


		<div class="features">


			<table class="instant-setup-wizard-features-table" border="1">


				<thead class="instant-setup-wizard-features-heading">


				<tr>


					<th class="header-instant-setup-wizard-features"><?php esc_html_e( 'Features', 'instant-setup-wizard' ); ?></th>


					<th class="header-instant-setup-wizard-features"><?php esc_html_e( 'Free', 'instant-setup-wizard' ); ?></th>


					<th class="header-instant-setup-wizard-features"><?php esc_html_e( 'Pro', 'instant-setup-wizard' ); ?></th>


				</tr>


				</thead>


				<tbody>


				<tr>


					<td class="feature">


						<div class="feature-title"><?php esc_html_e( 'Mobile Friendly', 'instant-setup-wizard' ); ?></div>


						<div class="feature-description"><?php esc_html_e( 'Slider, portfolio, pricing tables, WooCommerce widgets etc', 'instant-setup-wizard' ); ?></div>


					</td>


					<td class="feature-status featureyes"><span class='dashicons-before dashicons-yes'></span></td>


					<td class="feature-status featureyes"><span class='dashicons-before dashicons-yes'></span></td>


				</tr>


				<tr>


					<td class="feature">


						<div class="feature-title"><?php esc_html_e( 'Blazing Fast Speed', 'instant-setup-wizard' ); ?></div>


						<div class="feature-description"><?php esc_html_e( 'Optimized for speed, loads in under 2 seconds', 'instant-setup-wizard' ); ?></div>


					</td>


					<td class="feature-status featureyes"><span class='dashicons-before dashicons-yes'></span></td>


					<td class="feature-status featureyes"><span class='dashicons-before dashicons-yes'></span></td>


				</tr>


				<tr>


					<td class="feature">


						<div class="feature-title"><?php esc_html_e( 'Fully Customizable', 'instant-setup-wizard' ); ?></div>


						<div class="feature-description"><?php esc_html_e( 'Using the customizer options for layout, fonts & colors', 'instant-setup-wizard' ); ?></div>


					</td>


					<td class="feature-status"><?php esc_html_e( 'Limited Options', 'instant-setup-wizard' ); ?></span></td>


					<td class="feature-status featureyes"><span class='dashicons-before dashicons-yes'></span></td>


				</tr>


				<tr>


					<td class="feature">


						<div class="feature-title"><?php esc_html_e( 'Ready-to-use Website Templates', 'instant-setup-wizard' ); ?></div>


						<div class="feature-description"><?php esc_html_e( 'Ready-to-use Elementor page builder and Gutenberg website templates', 'instant-setup-wizard' ); ?></div>


					</td>


					<td class="feature-status"><a href="https://eshowcase.com/wordpress-themes/free/" target="_blank"><?php esc_html_e( 'Free Only', 'instant-setup-wizard' ); ?></a></td>


					<td class="feature-status"><a href="https://eshowcase.com/wordpress-themes/" target="_blank"><?php esc_html_e( '40+ Free & Pro', 'instant-setup-wizard' ); ?></a></td>


				</tr>


				<tr>


					<td class="feature">


						<div class="feature-title"><?php esc_html_e( 'Exclusive Widgets', 'instant-setup-wizard' ); ?></div>


						<div class="feature-description"><?php esc_html_e( 'Slider, portfolio, pricing tables, WooCommerce widgets etc', 'instant-setup-wizard' ); ?></div>


					</td>


					<td class="feature-status featureno"><span class='dashicons-before dashicons-no'></span></td>


					<td class="feature-status featureyes"><span class='dashicons-before dashicons-yes'></span></td>


				</tr>


				<tr>


					<td class="feature">


						<div class="feature-title"><?php esc_html_e( 'Exclusive Content, Deals & Offers', 'instant-setup-wizard' ); ?></div>


						<div class="feature-description"><?php esc_html_e( 'Get access to exclusive WordPress content, deals & offers', 'instant-setup-wizard' ); ?></div>


					</td>


					<td class="feature-status featureno"><span class='dashicons-before dashicons-no'></span></td>


					<td class="feature-status featureyes"><span class='dashicons-before dashicons-yes'></span></td>


				</tr>


				<tr>


					<td class="feature">


						<div class="feature-title"><?php esc_html_e( 'Private Priority Email Support', 'instant-setup-wizard' ); ?></div>


						<div class="feature-description"><?php esc_html_e( 'Need help? Just raise a support ticket to get priority email support', 'instant-setup-wizard' ); ?></div>


					</td>


					<td class="feature-status featureno"><span class='dashicons-before dashicons-no'></span></td>


					<td class="feature-status featureyes"><span class='dashicons-before dashicons-yes'></span></td>


				</tr>


				</tbody>


			</table>


		</div>


		<?php if ( ! class_exists( 'Instant_Setup_Wizard_Pro' ) ) { ?>


			<div class="instant-setup-wizard-go-pro-section">


				<a class="instant-setup-wizard-go-pro-button" href="https://eshowcase.com/instant-setup-wizard-go-pro/?utm_source=free-to-pro&utm_medium=instant-setup-wizard-theme&utm_campaign=instant-setup-wizard-pro&utm_content=instant-setup-wizard-options-free-vs-pro" target="_blank"><?php esc_html_e( 'Upgrade to Pro', 'instant-setup-wizard' ); ?></a>


			</div>


		<?php } ?>


	</div>


</div>


