<?php


/**


 * Plugin Name: Instant Membership Site


 * Plugin URI: https://membershiptogo.com


 * Description: Helping You Set Up A Newly Licensed  Membership Site.


 * Version: 1.0


 * Author: MemberShipToGo.com


 * License: GPL2


 *


 * @package         Instant_Setup_Wizard


 */





/*


Copyright 2013  eShowcase  (email : support@eShowcase.com)





This program is free software; you can redistribute it and/or modify


it under the terms of the GNU General Public License, version 2, as


published by the Free Software Foundation.





You should have received a copy of the GNU General Public License


along with this program; if not, write to the Free Software


Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


*/





// Set Constants.


if ( ! defined( 'INSTANT_SETUP_WIZARD_FILE' ) ) {


	define( 'INSTANT_SETUP_WIZARD_FILE', __FILE__ );


}





if ( ! defined( 'INSTANT_SETUP_WIZARD_DIR' ) ) {


	define( 'INSTANT_SETUP_WIZARD_DIR', plugin_dir_path( INSTANT_SETUP_WIZARD_FILE ) );


}





if ( ! defined( 'INSTANT_SETUP_WIZARD_DIR_URL' ) ) {


	define( 'INSTANT_SETUP_WIZARD_DIR_URL', plugin_dir_url( INSTANT_SETUP_WIZARD_FILE ) );


}





if ( ! defined( 'INSTANT_SETUP_WIZARD_URI' ) ) {


	define( 'INSTANT_SETUP_WIZARD_URI', plugins_url( '/', INSTANT_SETUP_WIZARD_FILE ) );


}





if ( ! defined( 'INSTANT_SETUP_WIZARD_VER' ) ) {


	define( 'INSTANT_SETUP_WIZARD_VER', '1.0' );


}





if ( ! defined( 'INSTANT_SETUP_WIZARD_MASTER_PLUGIN_URL' ) ) {


	define( 'INSTANT_SETUP_WIZARD_MASTER_PLUGIN_URL', 'https://membershiptogo.com/' );


}




/**


 * The core plugin class that is used to define internationalization,


 * admin-specific hooks, and public-facing site hooks.


 */


require plugin_dir_path( __FILE__ ) . 'includes/class-instant-setup-wizard.php';
require plugin_dir_path( __FILE__ ) . 'includes/isw-includes.php';

require plugin_dir_path( __FILE__ ) . 'wp-autoupdate.php';


/**


 * The code that runs during plugin activation.


 */


function activate_instant_setup_wizard() {


	require_once plugin_dir_path( __FILE__ ) . 'includes/class-instant-setup-wizard-activator.php';


	Instant_Setup_Wizard_Activator::activate();


}





/**


 * The code that runs during plugin deactivation.


 */


function deactivate_instant_setup_wizard() {


	require_once plugin_dir_path( __FILE__ ) . 'includes/class-instant-setup-wizard-deactivator.php';


	Instant_Setup_Wizard_Deactivator::deactivate();


}





register_activation_hook( __FILE__, 'activate_instant_setup_wizard' );


register_deactivation_hook( __FILE__, 'deactivate_instant_setup_wizard' );





/**


 * Initialize Plugin


 */


if ( class_exists( 'Instant_Setup_Wizard' ) ) {





	// Initialise Class.


	$easy_sales_letter = new Instant_Setup_Wizard();


}





