<?php

	
	wp_head();

	?>	
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<?php
		while ( have_posts() ) : the_post(); ?>
        
			<header class="robotic_revenue_header">
				<div class="container">
					<div class="row">
						<div class="col-12 header_image">
							<img src="https://roboticrevenue.s3.amazonaws.com/img/secureshield.png">
						</div>
						<div class="col-12">
							<h3 class="SiteName"><?php echo do_shortcode('[SiteName]'); ?></h3>
							<h4 class="SiteName">Secure Membership Enrollment Form</h4>
						</div>
						<div class="col-12 header_image">
							<img src="https://roboticrevenue.s3.amazonaws.com/img/secureorderform.png">
						</div>
					</div>
					<div class="row mobile_header_image">
						<div class="col-12">
							<img src="https://roboticrevenue.s3.amazonaws.com/img/secureshield.png">
						</div>
						<div class="col-12">
							<img src="https://roboticrevenue.s3.amazonaws.com/img/secureorderform.png">
						</div>
					</div>
				</div>
			</header>
            
			<section class="robotic_revenue_form">
				<div class="container">
					<div class="row">
						<div class="robotic_revenue_form_area">
							<?php 

							the_content();
							
							?>
			            </div>
			        </div>
		        </div>
		    </section>
            <footer class="robotic_revenue_footer">
            	<div class="container">
					<div class="row footer_row">
						<div class="col-12">
							<img src="https://roboticrevenue.s3.amazonaws.com/img/powered-by-stripe.png">
						</div>
					</div>
					<div class="row">
						<div class="col-12">
							<p class="footet_links">
								<a href="<?php echo do_shortcode('[SiteURL]'); ?>/privacy-policy/">Privacy Policy</a> | <a href="<?php echo do_shortcode('[SiteURL]'); ?>/tos/">Terms of services</a> | <a href="<?php echo do_shortcode('[SiteURL]'); ?>/cookie-policy/">Cookie Policy</a> | <a href="<?php echo do_shortcode('[SiteURL]'); ?>/ipn/">Intellectual Property Notice</a> | <a href="<?php echo do_shortcode('[SiteURL]'); ?>/ftc/">FTC Disclaimer</a> | <a href="<?php echo do_shortcode('[SiteURL]'); ?>/earnings/">Earnings Disclaimer</a>
							</p>
						</div>
					</div>
					<div class="row">
						<div class="col-12">
							<p class="footet_links">
								<?php echo do_shortcode('[PostalAddress]'); ?>
							</p>
						</div>
					</div>
					<div class="row">
						<div class="col-12">
							<p class="footet_links">
								<?php echo do_shortcode('[Copyright]'); ?>
							</p>
						</div>
					</div>
				</div>
            </footer>
		<?php endwhile; ?>


		<style>

			body
			{
				padding: 0;
				margin: 0;
				background-color: #ffffff;
			}
			.container 
			{
			    max-width: 1200px;
			    margin: 0 auto;
			}
			.row
			{
				display: flex;
    			align-items: center;
    			justify-content: center;
			}
			.robotic_revenue_header
			{
			    padding: 15px 20px;
		        box-shadow: 0px 4px 30px 0 rgba(0, 0, 0, .1);
			}
			.robotic_revenue_header .row
			{
				justify-content: space-between;
			}
			.robotic_revenue_header img
			{
			    height: 80px;
			}
			.robotic_revenue_header .SiteName
			{
				text-align: center;
			}
			.robotic_revenue_header h3.SiteName
			{
				font-weight: 700;
			}
			.robotic_revenue_header h4.SiteName
			{
				font-size: 30px;
			}
			.robotic_revenue_header .mobile_header_image
			{
				display: none;
			}
			.robotic_revenue_form 
			{
			    padding: 40px 20px;
			}
			.robotic_revenue_form_area
			{
				width: 100%;
			    max-width: 800px;
			    margin: 0 auto;
			    padding: 50px 50px;
			    border-radius: 10px;
    			box-shadow: 9.899px 9.899px 30px 0 rgba(0, 0, 0, .1);
			}
			.robotic_revenue_footer
			{
				padding: 20px 20px;
			}
			.robotic_revenue_footer .row
			{
				margin-block: 20px;
			}
			.robotic_revenue_footer .footet_links
			{
			    text-align: center;
			}
			.robotic_revenue_footer .footer_row img
			{
				width: 100%;
				height: auto;
			}

			
			@media (max-width: 1024px) and (min-width: 768px)
			{
				.robotic_revenue_header
				{
					padding: 20px 40px;
				}
				.robotic_revenue_header h4.SiteName
				{
				    font-size: 24px;
				}
				.robotic_revenue_form
				{
					padding: 40px 40px;
				}
				.robotic_revenue_footer
				{
				    padding: 20px 40px;
				}
			}

			@media (max-width: 767px) and (min-width: 320px)
			{
				.robotic_revenue_header
				{
					padding: 10px 20px;
				}
				.robotic_revenue_header .row
				{
					justify-content: center;
				}
				.robotic_revenue_header .header_image
				{
					display: none;
				}
				.robotic_revenue_header h3.SiteName
				{
					font-size: 20px;
				    line-height: 28px;
				}
				.robotic_revenue_header h4.SiteName
				{
					font-size: 16px;
    				line-height: 24px;
				}
				.robotic_revenue_header .mobile_header_image
				{
					display: flex;
			        justify-content: space-between;
			        margin-top: 15px;
				}
				.robotic_revenue_header .mobile_header_image img
				{
					height: 50px
				}
				.robotic_revenue_form_area
				{
				    padding: 30px 30px;
				}
				.robotic_revenue_footer .footet_links
				{
				    font-size: 14px;
				}
			}
		</style>
		
<?php
	wp_footer();